Apple напоминает разработчикам о требованиях ATT перед запуском iOS 14.5

Глава антимонопольного законодательства ЕС напомнил Apple о необходимости честной игры, поскольку функция отслеживания рекламы конфиденциальности вырисовывается

iOS 14.5 выходит на рынок на следующей неделе с множеством новых функций и изменений, главным из которых является новая прозрачность отслеживания приложений. Сегодня Apple поделилась с разработчиками напоминанием о том, что требования ATT для приложений должны быть выполнены к 26 апреля.

Apple официально не объявила, когда функция ATT появится для пользователей, кроме «ранней весны». Тем не менее, ожидается, что он будет включен с iOS 14.5 (в какой-то момент), и Apple предупредила разработчиков сегодня о том, чтобы их приложения были готовы к 26 апреля:

В предстоящем общедоступном выпуске iOS 14.5, iPadOS 14.5 и tvOS 14.5 все приложения должны использовать платформу AppTrackingTransparency, чтобы запрашивать у пользователя разрешение на их отслеживание или доступ к рекламному идентификатору своего устройства. Если вы не получите разрешение от пользователя на включение отслеживания, значение рекламного идентификатора устройства будет состоять из нулей, и вы не сможете их отслеживать.

При отправке вашего приложения на проверку любая другая форма отслеживания — например, по имени или адресу электронной почты — должна быть указана в разделе информации о конфиденциальности App Store на странице продукта и выполняться только в том случае, если разрешение предоставлено через AppTrackingTransparency. Вам также нужно будет включить строку цели в системную подсказку, чтобы объяснить, почему вы хотите отслеживать пользователя, в соответствии с Руководством 5.1.2 (i) по обзору App Store. Эти требования распространяются на все приложения с 26 апреля 2021 г.

Напоминаем, что сбор данных об устройстве и использовании с целью получения уникального представления о пользователе или снятия отпечатков пальцев по-прежнему является нарушением Лицензионного соглашения программы разработчика Apple.

Apple также напомнила, что все приложения для iPhone и iPad, представленные на рассмотрение в App Store, должны быть созданы с использованием Xcode 12 + iOS 14 SDK или более поздней версии.

Соцсети